Skip to main content

Get Player Presence Public By Uuid

GET 

/presence/v1/player/uuid/:player_uuid/presence

Get the player's presence information. The status will be modified based on the following rules:

  • A status of invisible will be reported as offline
  • The status will become offline if older than the configured age

Request

Path Parameters

    player_uuid uuidrequired

    A valid UUID identifying a player. Rejects integer player identification.

Header Parameters

    if-none-match If-None-Match

    If you provide the ETag that matches the current ETag for this resource, a 304 response will be return - indicating that the resource has not changed.

Responses

Successful Response

Response Headers

  • ETag

    string

    Used to identify this version of the content. Provide with a get request to avoid downloading the same data multiple times.

Schema

    status OnlineStatus (string)

    Possible values: [online, away, invisible, offline]

    An enumeration.

    message Message (string)

    Possible values: <= 256 characters

    Optional custom message to display alongside the user's online status

    platform Platform (string)required

    Platform the user was online in

    display_name Display Name (string)required

    Player Display Name

    custom_data

    object

    custom fields for the player to update about their presence

    property name* string
    player_id Player Id (integer)

    Player ID for the player if it was provided as part of the request

    player_uuid uuidrequired

    UUID of the player whose presence this represents

    do_not_disturb Do Not Disturb (boolean)

    Disables notifications and invites. Only set for self or admin.

    last_seen date-time

    Info about the player the last time they reported their status. Only set for self or admin

Loading...